DefinitionBlock ("SSDT-USB.aml", "SSDT", 1, "sample", "USBFix", 0x00003000)
{
    // "USBInjectAllConfiguration" : override settings for USBInjectAll.kext
    Device(UIAC)
    {
        Name(_HID, "UIA00000")
        // "RehabManConFiguration"
        Name(RMCF, Package()
        {
            // XHC overrides
            "8086_8xxx", Package()
            {
                "port-count", Buffer() { 0x15, 0, 0, 0}, // Highest port number is SS** at 0xNN
                "ports", Package()
                {   // TO COMPLETE THIS FILE, ADD ALL YOUR PORTS BELOW HERE, THEN SET port-count ABOVE
                    "HS01", Package() // USB3 port Rear Top 5 Line ports Right, port <01 00 00 00>
                    {
                        "UsbConnector", 3,
                        "port", Buffer() { 0x01, 0, 0, 0 },
                    },
                    
                    "HS02", Package() // USB3 port Rear Top 5 Line ports Left, port <02 00 00 00>
                    {
                        "UsbConnector", 3,
                        "port", Buffer() { 0x02, 0, 0, 0 },
                    },
                    
                    "HS03", Package() // USB3 port Rear Top 4 Line ports Right, port <03 00 00 00>
                    {
                        "UsbConnector", 3,
                        "port", Buffer() { 0x03, 0, 0, 0 },
                    },
                    
                    "HS04", Package() // USB3 port Rear Top 4 Line ports Left, port <04 00 00 00>
                    {
                        "UsbConnector", 3,
                        "port", Buffer() { 0x04, 0, 0, 0 },
                    },
                    
                    "HS05", Package() // USB2 port back additional Right, port <05 00 00 00>
                    {
                        "UsbConnector", 0,
                        "port", Buffer() { 0x05, 0, 0, 0 },
                    },
                    
                    "HS06", Package() // USB2 port back additional Left, port <06 00 00 00>
                    {
                        "UsbConnector", 0,
                        "port", Buffer() { 0x06, 0, 0, 0 },
                    },
                    
                    "HS09", Package() // USB3 port Rear Top 1 And 2 Line ports, port <09 00 00 00>
                    {
                        "UsbConnector", 3,
                        "port", Buffer() { 0x09, 0, 0, 0 },
                    },
                    
                    "HS10", Package() // USB3 port External header, port <0a 00 00 00>
                    {
                        "UsbConnector", 3,
                        "port", Buffer() { 0x0a, 0, 0, 0 },
                    },
                    
                    "HS13", Package() // USB2 motherboard header Front Top Left, port <0d 00 00 00>
                    {
                        "UsbConnector", 0,
                        "port", Buffer() { 0x0d, 0, 0, 0 },
                    },
                    
                    "HS14", Package() // USB2 motherboard header Front Top Right, port<0e 00 00 00>
                    {
                        "UsbConnector", 0,
                        "port", Buffer() { 0x0e, 0, 0, 0 },
                    },

                    "SSP1", Package() // USB3 port Rear Top 5 Line ports Right , port <10 00 00 00>
                    {
                        "UsbConnector", 3,
                        "port", Buffer() { 0x10, 0, 0, 0 },
                    },
                    
                    "SSP2", Package() // USB3 port Rear Top 5 Line ports Left , port <11 00 00 00>
                    {
                        "UsbConnector", 3,
                        "port", Buffer() { 0x11, 0, 0, 0 },
                    },
                    
                    "SSP3", Package() // USB3 port Rear Top 4 Line ports Right , port <12 00 00 00>
                    {
                        "UsbConnector", 3,
                        "port", Buffer() { 0x12, 0, 0, 0 },
                    },
                    
                    "SSP4", Package() // USB3 port Rear Top 4 Line ports Left , port <13 00 00 00>
                    {
                        "UsbConnector", 3,
                        "port", Buffer() { 0x13, 0, 0, 0 },
                    },
                    
                    "SSP5", Package() // USB3 port Rear Top 1 Line ports Left Right, port <14 00 00 00>
                    {
                        "UsbConnector", 3,
                        "port", Buffer() { 0x14, 0, 0, 0 },
                    },
                    
                    "SSP6", Package() // USB3 port External header Left, port <15 00 00 00>
                    {
                        "UsbConnector", 3,
                        "port", Buffer() { 0x15, 0, 0, 0 },
                    },
                    
                },
            },
        })
    }
}